Skip to main content
cURL
curl --request GET \
  --url https://test.deribit.com/api/v2/private/get_access_log \
  --header 'Content-Type: application/json' \
  --data '
{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "private/get_access_log",
  "params": {
    "offset": 0,
    "count": 3
  }
}
'
import requests

url = "https://test.deribit.com/api/v2/private/get_access_log"

payload = {
    "jsonrpc": "2.0",
    "id": 1,
    "method": "private/get_access_log",
    "params": {
        "offset": 0,
        "count": 3
    }
}
headers = {"Content-Type": "application/json"}

response = requests.get(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({
    jsonrpc: '2.0',
    id: 1,
    method: 'private/get_access_log',
    params: {offset: 0, count: 3}
  })
};

fetch('https://test.deribit.com/api/v2/private/get_access_log', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "jsonrpc": "2.0",
  "id": 1,
  "result": {
    "records_total": 34,
    "data": [
      {
        "timestamp": 1575876682576,
        "result": "success",
        "ip": "127.0.0.1",
        "id": 45,
        "country": "Local Country",
        "city": "Local Town"
      },
      {
        "timestamp": 1575876459309,
        "result": "success",
        "ip": "127.0.0.1",
        "id": 44,
        "country": "Local Country",
        "city": "Local Town"
      },
      {
        "timestamp": 1575546252774,
        "result": "disabled_tfa",
        "ip": "127.0.0.1",
        "id": 43,
        "country": "Local Country",
        "city": "Local Town"
      }
    ]
  },
  "usIn": 1575903572350348,
  "usOut": 1575903572351765,
  "usDiff": 1417,
  "testnet": false
}

Query Parameters

offset
integer

The offset for pagination, default - 0

Example:

10

count
integer

Number of requested items, default - 10, maximum - 1000

Required range: 1 <= x <= 1000

Response

200 - application/json

Success response

jsonrpc
enum<string>
required

The JSON-RPC version (2.0)

Available options:
2.0
result
object[]
required
id
integer

The id that was sent in the request